Package org.eclipse.emf.spi.cdo

## Interface InternalCDOUserSavepoint

- All Superinterfaces:
    `CDOUserSavepoint`
  All Known Subinterfaces:
    `InternalCDOSavepoint`, `InternalCDOXASavepoint`

      public interface InternalCDOUserSavepoint
      extends CDOUserSavepoint

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalCDOUserSavepoint` | `getFirstSavePoint()` |
    `InternalCDOUserSavepoint` | `getNextSavepoint()` |
    `InternalCDOUserSavepoint` | `getPreviousSavepoint()` |
    `InternalCDOUserTransaction` | `getTransaction()` |
    `void` | `setNextSavepoint​(InternalCDOUserSavepoint nextSavepoint)` |
    `void` | `setPreviousSavepoint​(InternalCDOUserSavepoint previousSavepoint)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

      `getNumber, isValid, rollback`

- - ### Method Detail

    - #### getTransaction

          InternalCDOUserTransaction getTransaction()

      Specified by:
        `getTransaction` in interface `CDOUserSavepoint`

    - #### getFirstSavePoint

          InternalCDOUserSavepoint getFirstSavePoint()

    - #### getPreviousSavepoint

          InternalCDOUserSavepoint getPreviousSavepoint()

      Specified by:
        `getPreviousSavepoint` in interface `CDOUserSavepoint`

    - #### getNextSavepoint

          InternalCDOUserSavepoint getNextSavepoint()

      Specified by:
        `getNextSavepoint` in interface `CDOUserSavepoint`

    - #### setPreviousSavepoint

          void setPreviousSavepoint​(InternalCDOUserSavepoint previousSavepoint)

    - #### setNextSavepoint

          void setNextSavepoint​(InternalCDOUserSavepoint nextSavepoint)